Name:           python-fspathtree
Version:        1.1.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A small utility for wrapping trees (nested dict/list) that allows filesystem-like path access, including walking up with "../".

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/fspathtree/
Source:         %{pypi_source fspathtree}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fspathtree' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fspathtree
Summary:        %{summary}

%description -n python3-fspathtree %_description


%prep
%autosetup -p1 -n fspathtree-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fspathtree -f %{pyproject_files}


%changelog
%autochangelog